# $Revision: 1.30 $, $Date: 2008/11/12 22:43:05 $
# TODO
# - the x11 libraires packaged to %{_libdir}/NX aren't used, still links (without rpath) to system xorg libs
%define		_agent_minor	10
%define		_auth_minor	1
%define		_comp_minor	7
%define		_compext_minor	1
%define	 	_compshad_minor	3
%define		_proxy_minor	1
%define		_win_minor	4
%define		_X11_minor	2
Summary:	NoMachine NX is the next-generation X compression scheme
Summary(pl.UTF-8):	NoMachine NX to schemat kompresji nowej generacji dla X
Name:		nx
Version:	3.2.0
Release:	4
License:	GPL
Group:		Libraries
#SourceDownload: http://www.nomachine.com/sources.php
Source0:	http://web04.nomachine.com/download/%{version}/sources/%{name}-X11-%{version}-%{_X11_minor}.tar.gz
# Source0-md5:	0a969199c77a604a488794c56176000f
Source1:	http://web04.nomachine.com/download/%{version}/sources/%{name}agent-%{version}-%{_agent_minor}.tar.gz
# Source1-md5:	9123c0bbd184cdeb343c7c6f1e267161
Source2:	http://web04.nomachine.com/download/%{version}/sources/%{name}auth-%{version}-%{_auth_minor}.tar.gz
# Source2-md5:	18519f2bcf30b10b766a60926fbe1017
Source3:	http://web04.nomachine.com/download/%{version}/sources/%{name}proxy-%{version}-%{_proxy_minor}.tar.gz
# Source3-md5:	ac31e8f2f112e3720f3c00cec67c0734
Source4:	http://web04.nomachine.com/download/%{version}/sources/%{name}comp-%{version}-%{_comp_minor}.tar.gz
# Source4-md5:	5ea64a557c770d9f5cc4b9a7a9d1343c
Source5:	http://web04.nomachine.com/download/%{version}/sources/%{name}compext-%{version}-%{_compext_minor}.tar.gz
# Source5-md5:	cd1296ebd24b1d7c4f82537a395ad6e8
Source6:	http://web04.nomachine.com/download/%{version}/sources/%{name}compshad-%{version}-%{_compshad_minor}.tar.gz
# Source6-md5:	6edfa4f65f579306f05af2451249c2bf
Source7:	http://web04.nomachine.com/download/%{version}/sources/%{name}win-%{version}-%{_compshad_minor}.tar.gz
# Source7-md5:	30ee1c2ae1c1a46bb130e84ae4646a42
URL:		http://www.nomachine.com/
#BuildRequires:	Xaw3d-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-util-imake
Requires:	nxcomp >= %{version}.%{_comp_minor}
Requires:	nxcompext >= %{version}.%{_compext_minor}
Requires:	nxcompshad >= %{version}.%{_compshad_minor}
Requires:	xorg-font-font-cursor-misc
Requires:	xorg-font-font-misc-misc
Requires:	xorg-font-font-misc-misc-base
Provides:	nx-X11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't satisfy xorg deps for the rest of the distro
%define		_noautoprovfiles	%{_libdir}/NX

# and as we don't provide them, don't require either
%define		_noautoreq libX11.so libXext.so libXrender.so

%description
NoMachine NX is the next-generation X compression and roundtrip
suppression scheme. It can operate remote X11 sessions over 56k modem
dialup links or anything better.

%description -l pl.UTF-8
NoMachine NX to schemat kompresji dla X nowej generacji. Działa na
zdalnych sesjach X11 nawet przy prędkosci 56k albo większej.

%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6 -a7

%build
export CFLAGS="%{rpmcflags} -fPIC"
export CXXFLAGS="%{rpmcflags} -fPIC"
export CPPFLAGS="%{rpmcflags} -fPIC"

perl -pi -e"s|CXXFLAGS=.-O.*|CXXFLAGS=\"$CXXFLAGS\"|" */configure

# build Compression Library and Proxy
for i in nxcomp nxproxy nxcompshad; do
	cd $i
	%configure
	%{__make}
	cd ..
done

# build X11 Support Libraries and Agents

%{__make} -C nx-X11 World

# build Extended Compression Library
cd nxcompext
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/{pkgconfig,NX},%{_bindir}}

# X11
install nx-X11/lib/X11/libX11.so.6.2 nx-X11/lib/Xext/libXext.so.6.4 nx-X11/lib/Xrender/libXrender.so.1.2.2 $RPM_BUILD_ROOT%{_libdir}/NX
install nx-X11/programs/Xserver/nxagent $RPM_BUILD_ROOT%{_bindir}

# proxy
install nxproxy/nxproxy $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig %{_libdir}/NX

%postun
/sbin/ldconfig %{_libdir}/NX

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/NX
%attr(755,root,root) %{_libdir}/NX/*.so.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nx.spec,v $
Revision 1.30  2008/11/12 22:43:05  glen
- fixed trashing xorg deps to system
- but pkg itself still broken; rel 4

Revision 1.29  2008/10/15 17:47:37  glen
- provides X11 libs. bad?

Revision 1.28  2008/08/29 08:49:08  paszczus
- updated agent version to -10; rel3

Revision 1.27  2008/08/19 02:52:56  aredridel
- rel 2

Revision 1.26  2008/08/16 21:28:01  aredridel
- put libs in /usr/lib/NX
- ldconfig symlinks properly so that freenx PATH_LIB can handle the rest

Revision 1.25  2008/08/16 14:51:18  aredridel
- some re-arrangement, though doesn't work with freenx-server yet without
  mv on some binaries.

Revision 1.24  2008/08/13 07:25:13  paszczus
- small cleanup

Revision 1.23  2008/08/13 07:19:22  paszczus
- added more Requires

Revision 1.22  2008/08/05 09:29:10  paszczus
- removed not needed BRs

Revision 1.21  2008/08/05 08:32:48  paszczus
- package more files

Revision 1.20  2008/08/04 19:50:19  paszczus
- huh, updated to 3.2.0

Revision 1.19  2007/03/28 18:43:00  aredridel
- 2.1.0

Revision 1.18  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.16  2006/09/18 23:36:37  aredridel
- add base font requirements

Revision 1.15  2006/09/11 18:49:04  aredridel
- 2.0.0

Revision 1.14  2006/05/21 12:46:43  arekm
- rel 2; fix font path

Revision 1.13  2006/03/20 12:35:21  qboosh
- BR: xorg-util-imake

Revision 1.12  2006/03/20 00:32:45  pluto
- redundant BR removed.

Revision 1.11  2006/03/20 00:23:17  aredridel
- modular xorg deps
- builds with gcc4

Revision 1.10  2006/01/26 22:00:26  glen
- use sed for inline edits (as perl does not return errors on failures)

Revision 1.9  2006/01/26 21:08:23  arekm
- rel 1

Revision 1.8  2006/01/26 18:52:47  arekm
- __cc bugfix

Revision 1.7  2006/01/26 18:37:29  arekm
- updated

Revision 1.6  2005/10/13 22:45:54  charles
- nxagent up to 1.5.0-93, nxdesktop up to 1.5.0-75
- updated sources URLs
- BR: which

Revision 1.5  2005/09/17 22:53:44  undefine
- up to 1.5.0

Revision 1.4  2005/08/22 18:18:59  twittner
- typo

Revision 1.3  2004/11/20 13:21:30  qboosh
- adjusted build for clean to work, fixed dups in files

Revision 1.2  2004/11/18 06:24:22  ankry
- spaces -> tabs, other fixes

Revision 1.1  2004/11/18 00:56:57  undefine
- initital version by groz@gryf.info, 0.1 (doesn't build on amd64 ;)
